@echo OFF

start /w "" "%~dp0\vc_redist.x86" /passive /norestart
if %errorlevel% neq 0 exit /b %errorlevel%

if %PROCESSOR_ARCHITECTURE%==AMD64 start /w "" "%~dp0\vc_redist.x64" /passive /norestart
if %errorlevel% neq 0 exit /b %errorlevel%